package com.iamberry.wechat.service.customized;

import com.iamberry.wechat.core.entity.customized.CustomizedTooth;
import com.iamberry.wechat.face.customized.CustomizedToothService;
import com.iamberry.wechat.service.mapper.CustomizedToothMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  牙刷生成记录接口
 * @author w
 * @Date 2018-05-29
 */
@Service
public class CustomizedToothServiceImpl  implements CustomizedToothService {
    @Autowired
    private CustomizedToothMapper customizedToothMapper;
    /**
     * 获取集合
     * @param  customizedTooth
     * @return List
     */
    @Override
    public List<CustomizedTooth> getCustomizedToothList(CustomizedTooth  customizedTooth){
        return  customizedToothMapper.getCustomizedToothList(customizedTooth);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedTooth
     */
    @Override
    public  CustomizedTooth  getCustomizedToothById(Integer  id){
        return  customizedToothMapper.getCustomizedToothById(id);
    }
    /**
     * 增加数据
     * @param  customizedTooth
     * @return Integer
     */
    @Override
    public  Integer  save(CustomizedTooth  customizedTooth){
        return  customizedToothMapper.save(customizedTooth);
    }
    /**
     * 修改数据
     * @param  customizedTooth
     * @return Integer
     */
    @Override
    public  Integer  update(CustomizedTooth  customizedTooth){
        return  customizedToothMapper.update(customizedTooth);
    }
}